using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Posechaemost.Data.LocalData.Entity;
using Posechaemost.Domain.Models;

namespace Posechaemost.Data.Repository
{
    public interface IPresenceRepository
    {
        List<PresenceLocalEntity> GetPresenceListByGroup(int groupId);
        List<PresenceLocalEntity> GetPresenceListByGroupAndDate(int groupId, DateOnly date);

        void UncheckAttendence(Presence presence);

    }
}